Subject: rebuilding cywin v1.0: where is sh.exe
From: "Guy T. Moore Jr." <[email-masked]>
To: [email-masked]
Date: Thu, 24 Feb 2000 14:29:24 -0500

Hi!

I am succumbing to editing c:\Cygwin\src\bash\make_cmd.c in order to 
get past this \r problem that I am experiencing using CLearCase's clearmake
from within a BASH window.
(ClearCase/Rational have acknowledged the problem, ClearCase defect # CMBU00030189,
 but have refused to fix it. Nice.)

I've run into a few snags:

1.)
I've noticed that the Cygwin v1.0 that I just purchased behaves somewhat differently
than the version B20 that I was using previously.
It seems that Cygwin v1.0 was mounting the C:\Cygwin in "binary" mode rather
than "text!=binary" as did the Cygwin B20.
Anyone else notice this? 

(I unmounted this, otherwise I couldn't even use Cygwin's make to build my stuff
 without encountering an assert in read.c.)

2.)
OK so then I edit c:\Cygwin\src\bash\make_cmd.c and put in changes that I got
from this email list and then kicked off a full build.
  cd c:\Cygwin
  src\rebuild.bat

It built everything with just a couple of errors. 
   (I think I am not that concerned with those errors.)

The make'ing of the "install" target failed because it couldn't find "sed".
Anyone know about this error?

3.)
After the build I have no sh.exe under c:\build1.
I do have a new bash.exe but it is the sh.exe that I would like to use (I think)
in my makefiles as "SHELL=sh.exe".
Anyone know if sh.exe is supposed to get rebuilt and how it differs from
bash.exe?

Comments?

Guy Moore
OpenMarket

--
Want to unsubscribe from this list?
Send a message to [email-masked]